<?php
/**
*
* @package phpBB Extension - Facebook&Twitter slider
* @copyright (c) 2019 theriddler - https://peppersrus-forum.nl
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace theriddler\facebooktwitterslider\migrations;

class install_facebooktwitterslider extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['facebooktwitter_version']) && version_compare($this->config['facebooktwitter_version'], '1.0.0', '>=');
	}
	
	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v31x\v312');
	}
	
	public function update_data()
	{
		return array(
			// Add configs
			array('config.add', array('facebookslide_enable', '')),
			array('config.add', array('facebookslide_url_field', '')),
			array('config.add', array('facebookslide_appid_field', '')),
			array('config.add', array('twitterslide_enable', '')),
			array('config.add', array('twitterslide_name_field', '')),
			array('config.add', array('facebooktwitter_version', '1.0.0')),
			
			// Add ACP module
			array('module.add', array(
				'acp', 
				'ACP_CAT_DOT_MODS', 
				'ACP_FACEBOOKTWITTER'
			)),
			
			array('module.add', array(
				'acp', 
				'ACP_FACEBOOKTWITTER', 
				array(
					'module_basename' => '\theriddler\facebooktwitterslider\acp\facebooktwitterslider_module', 
					'modes' => array('config'),
				),
			)),
		);
	}
	
	public function revert_data()
	{
		return array(
			array('config.remove', array('facebookslide_enable')),
			array('config.remove', array('facebookslide_url_field')),
			array('config.remove', array('facebookslide_appid_field')),
			array('config.remove', array('twitterslide_enable')),
			array('config.remove', array('twitterslide_name_field')),
			array('config.remove', array('facebooktwitterslider_version')),
			
			array('module.remove', array(
				'acp',
				'ACP_FACEBOOKTWITTER',
				array(
					'module_basename'	=> '\theriddler\facebooktwitterslider\acp\facebooktwitterslider_module',
					'modes'				=> array('config'),
				),
			)),
			
			array('module.remove', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'ACP_FACEBOOKTWITTER'
			)),
		);
	}
}
